#ifndef SETTINGS_H
#define SETTINGS_H

#include <QObject>
#include <QSettings>
#include "saldopunti.h"
#include "counter.h"

class Settings : public QObject
{
    Q_OBJECT
public:
    explicit Settings(QObject *parent = 0);

    QString StyleSheetName;
    QString Username;
    QString Password;

    bool LogXml;
    bool ShowPercentage;
    bool ShowStandardCounters;

    //Sms sent counter:
    QDate SmsDate;
    int SmsSent;

    //Last data retrieved:
    QDateTime LastUpdated;
    bool ShowLastData;
    float LastCredito;
    QString LastValuta;
    SaldoPunti* LastSaldoPunti;
    QList<Counter*>* LastCounters;

    bool Load();
    bool Save();

private:
    QString GetConfigName();

signals:

public slots:

};

#endif // SETTINGS_H
