#ifndef COUNTERWIDGET_H
#define COUNTERWIDGET_H

#include <QScrollArea>
#include <QGridLayout>
#include <QLabel>
#include <QProgressBar>

#include "counter.h"
#include "settings.h"

class CounterWidget : public QScrollArea
{
    Q_OBJECT
public:
    explicit CounterWidget(QWidget *parent = 0, Counter* counter=0, Settings* settings=0);
    ~CounterWidget();

    void SetPercentageVisible(bool visible);

private:
    Counter* m_Counter;

    QWidget* m_Container;
    QGridLayout* m_Layout;
    QProgressBar* m_Bar;

    void CreateWidgets(Settings* settings);
    QString ToHourMinutes(int seconds);

signals:

public slots:

};

#endif // COUNTERWIDGET_H
